Subject: Re: [PATCH net-next v4 02/12] doc/netlink: Add a schema for netlink-raw families

From: Jakub Kicinski <[email-masked]>
Date: Wed, 23 Aug 2023 18:45:32 -0700

On Wed, 23 Aug 2023 14:43:13 -0700 Jacob Keller wrote:
> > It's a good question. The schema definitions are currently strict
> > supersets of genetlink:
> > 
> > genetlink <= genetlink-c <= genetlink-legacy <= netlink-raw
> > 
> > As you noted below, there's only 2 additions needed for the netlink raw
> > families, protonum and mcast-group value.
> > 
> > I would be happy to change the description and other references to
> > genetlink in this spec, but I'd like to hear Jakub's thoughts about
> > minimal modification vs a more thorough rewording. Perhaps a middle
> > ground would be to extend the top-level description to say "genetlink or
> > raw netlink" and qualify that all mention of genetlink also applies to
> > raw netlink.
> > 
> > Either way, I just noticed that the schema $id does need to be updated.
> 
> Ok, ya lets wait for Jakub's opinion. I think the clarification would be
> good since at least conceptually genetlink is distinct to me from
> netlink raw, so it feels a bit weird.

Hm, no great choice here.

I feel like posterity may judge us if we don't clean up the genetlink
references so let's remove the most obvious ones.

description, name.description, delete version completely, narrow down
protocol to just netlink-raw. And I think that's it? The comments are
fine, IMO.